System 2.0.0.0 4.0.0.0 System.Enum

To help ensure that all interfaces on a network have a unique address, the interface host is responsible for running a "duplicate address detection" algorithm on unicast addresses. The purpose of this algorithm is to attempt to prevent non-unique addresses on the network. This process is defined in IETF RFC 1971.

This enumeration is used by the and classes. Instances of this class are returned when you retrieve the unicast address information for a object.

Specifies the current state of an IP address.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.NetworkInformation.DuplicateAddressDetectionState

  The address is valid, but it is nearing its lease lifetime and should not be used by applications.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.NetworkInformation.DuplicateAddressDetectionState

  The address is not unique. This address should not be assigned to the network interface.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.NetworkInformation.DuplicateAddressDetectionState

  The address is not valid. A nonvalid address is expired and no longer assigned to an interface; applications should not send data packets to it.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.NetworkInformation.DuplicateAddressDetectionState

  The address is valid and its use is unrestricted.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.NetworkInformation.DuplicateAddressDetectionState

  The duplicate address detection procedure's evaluation of the address has not completed successfully. Applications should not use the address because it is not yet valid and packets sent to it are discarded.